$("#tree").fancytree({
    activate: function(event, data) {
        var node = data.node;
        if( node.data.href ){
          // Open target
          console.log(data.node)
          window.open(node.data.href, node.data.target);
        }
      }
});
$(".fancytree-container").addClass("fancytree-connectors");
$(".fancytree-container").css('border','none');

$(document).ready(function() {
  $('#geoadvanced-data').DataTable({
    language: {
      //customize pagination prev and next buttons: use arrows instead of words
      'paginate': {
        'previous': '<span class="fa fa-chevron-left"></span>',
        'next': '<span class="fa fa-chevron-right"></span>'
      },
      pagingType: 'full_numbers',
      //customize number of elements to be displayed
      "lengthMenu": 'Display <select class="form-control input-sm">'+
      '<option value="10">10</option>'+
      '<option value="20">20</option>'+
      '<option value="30">30</option>'+
      '<option value="40">40</option>'+
      '<option value="50">50</option>'+
      '<option value="-1">All</option>'+
      '</select> results'
    }
  })  
} );
