<?php
require_once('configs/constants.php');
require_once('constants/index.php');
require_once('model.php');

$dbModel = new Model(DB_HOST, DB_USERNAME, DB_PASSWORD, DB_NAME, null);
$headers = [];
$table_data= [];
$header_title='';
$download_count = 0;
$min_date = '';
$date = new DateTime("now", new DateTimeZone($time_zone) );
$current_date = date_format($date,"l,dS \of F, Y h:i:s A");
if ( isset($_GET['s']) && !empty($_GET['s']) && isset($header_constants[$_GET['s']])) {
  $entity_count = 0;
  $table_data =  $dbModel->get_data(htmlspecialchars($_GET['s']));
  $header_title = $header_constants[$_GET['s']];  
  if (isset($table_headers[htmlspecialchars($_GET['s'])])) {
    $headers = $table_headers[htmlspecialchars($_GET['s'])];
  }
  $download_details = $dbModel->get_download_count_and_start_date();
  if (isset($download_details['count'])) {
    $download_count = $download_details['count'];
  }
  if (isset($download_details['date'])) {
    $min_date = $download_details['date'];
    $min_date = new DateTime($min_date );
    $min_date = date_format($min_date, 'm/d/Y');
  }
  if ('url' !== $_GET['s'] ) {
    $entity_count = count($table_data);
  }
  
}