<?php
/**
 * This class is responsible for db connection to GeoAdvanced Db
 */

 class Model{
    private $host;

    private $username;

    private $password;

    private $database;

    private $port;

    private $conn;


    public function __construct($host, $username, $password, $database, $port) {
        $this->host = $host;
        $this->username =$username;
        $this->password = $password;
        $this->database =$database;
        $this->port = $port;
        $this->conn = mysqli_connect($this->host, $this->username,$this->password,$this->database, $this->port);

        if (!$this->conn)
        {
            $filename = 'error.log';
            if (!file_exists($filename)) {
                $handle = fopen($filename, 'w');
            } else {
                $handle = fopen($filename, 'a');
            }

            $error = mysqli_connect_error();

            if ($handle !== false) {
                fwrite($handle, $error);
                fclose($handle);
            }
            die ("<h1>Database Connection Failed</h1>". $error );
        }
    }


    public function get_download_count_and_start_date() {
        $count = 0;
        $min_date = '';
        $sql = 'SELECT count(*) AS count, MIN(date) AS earliest_date  FROM gadownload'; 
        $result = $this->conn->query($sql);
        
        if ($result->num_rows > 0) {
            
            $row = $row = $result->fetch_assoc();

            if( isset($row['count']) ) {
                $count = $row['count'];
            }
            if( isset($row['earliest_date']) ) {
                $min_date = $row['earliest_date'];
            }
          } 
          $this->conn->close();
          return array('count'=>$count, 'date' => $min_date);
    }

    
    public function get_data($search) {
        $results = [];
        if ( isset($search)) {
         if($search == 'url') {   
            $sql = 'SELECT * FROM gadownload';  
        } else {

            $sql = 'SELECT '.$search.' as '.$search.', count(*) AS count FROM gadownload where '.$search.' IS NOT NULL AND  '.$search.' != "" GROUP BY '.$search;  
        }
        $result = $this->conn->query($sql);
      
        if ($result->num_rows > 0) {
           
            // output data of each row
            while($row = $result->fetch_assoc()) {
              $results[] = $row;
             
            }
            return $results;
          } 
          $this->conn->close();
        } 
          return $results;
        
          

    }



 }