<?php
function date_formatter($data) {
     if (is_array($data) && isset($data['date']) && isset($data['time'])) {
       return $data['date'].'_'.$data['time'];
    }
    return '';   
}

$time_zone = 'America/Los_Angeles';

$header_constants = array(
    'url' => 'URL',
    'user' => 'User',
    'email' => 'Email',
    'software' => 'Software',
    'country' => 'Country',
    'ip' => 'IP'
);

$url_headers = array(
    "date" => array('name' => 'Date', 'filter' => 'date_formatter'),
    "country" => array('name' => 'Country', 'filter' => null),
    "state" => array('name' => 'State', 'filter' => null),
    "user" => array('name' => 'User', 'filter' => null),
    "company" => array('name' => 'Company', 'filter' => null),
    "email" => array('name' => 'Email', 'filter' => null),
    "software" => array('name' => 'Software', 'filter' => null),
);

$user_headers = array(
    "user" => array('name' => 'User', 'filter' => null),
    "count" => array('name' => 'Count', 'filter' => null),
);

$email_headers = array(
    "email" => array('name' => 'Email', 'filter' => null),
    "count" => array('name' => 'Count', 'filter' => null),
);

$software_headers = array(
    "software" => array('name' => 'Software', 'filter' => null),
    "count" => array('name' => 'Count', 'filter' => null),
);
$country_headers = array(
    "country" => array('name' => 'Country', 'filter' => null),
    "count" => array('name' => 'Count', 'filter' => null),
);

$ip_headers = array(
    "ip" => array('name' => 'IP', 'filter' => null),
    "count" => array('name' => 'Count', 'filter' => null),
);

$table_headers['url'] = $url_headers; 
$table_headers['user'] = $user_headers; 
$table_headers['email'] = $email_headers; 
$table_headers['software'] = $software_headers; 
$table_headers['country'] = $country_headers; 
$table_headers['ip'] = $ip_headers;